aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/skqp/make_model.sh
diff options
context:
space:
mode:
authorGravatar Hal Canary <halcanary@google.com>2018-01-23 09:22:38 +0000
committerGravatar Skia Commit-Bot <skia-commit-bot@chromium.org>2018-01-23 19:07:11 +0000
commit23fda7ad077aa99a8faf1d5b5e81744fd44b8e54 (patch)
treef8674b740dfec55ac0cf3fc7f6d41d620d4993e5 /tools/skqp/make_model.sh
parent25366fad43043f1bfe02135f9c18515639a3c9b0 (diff)
SkQP: Cloud Scripts
- tools/skqp/generate_gn_args.sh - single script to generate configuration used to build SkQP. - tools/skqp/make_model.sh - script to execute make_gmkb.go and put the results in the correct place. - tools/skqp/{up,down}load_directory_contents.sh - scripts to move large assets into the cloud and retrieve them. - tools/skqp/gm_runner.cpp - treat missing text files as empty. - tools/skqp/make_apk.sh - make use of generate_gn_args.sh. - tools/skqp/make_{model,known_tests}.sh - better error handling, and also stop calling `git add`. Change-Id: Ib1803b4d68e63945f2c47f8eb6cb96375d24e3be Reviewed-on: https://skia-review.googlesource.com/98842 Reviewed-by: Hal Canary <halcanary@google.com> Commit-Queue: Hal Canary <halcanary@google.com>
Diffstat (limited to 'tools/skqp/make_model.sh')
-rwxr-xr-xtools/skqp/make_model.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/tools/skqp/make_model.sh b/tools/skqp/make_model.sh
index 6dd10e35aa..3946dd9e85 100755
--- a/tools/skqp/make_model.sh
+++ b/tools/skqp/make_model.sh
@@ -1,15 +1,20 @@
#! /bin/sh
+
# Copyright 2018 Google Inc.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
+if ! [ -f "$1" ]; then
+ printf 'Usage:\n %s META_JSON_FILE_PATH\n\n' "$0" >&2
+ exit 1
+fi
+
set -e -x
-test -f "$1"
+SKIA="$(dirname "$0")/../.."
go get -u go.skia.org/infra/golden/go/search
-go run tools/skqp/make_gmkb.go "$1" platform_tools/android/apps/skqp/src/main/assets/gmkb
-
-git add platform_tools/android/apps/skqp/src/main/assets/gmkb
+go run "${SKIA}/tools/skqp/make_gmkb.go" "$1" \
+ "${SKIA}/platform_tools/android/apps/skqp/src/main/assets/gmkb"